curl -X GET "https://api.whatabot.app/api/v1/clients?page=0&size=10" \
-H "X-Api-Key: wh_your_api_key"
{
"content": [
{
"id": "client-uuid",
"clientId": "wb_client_abc123",
"name": "My SaaS Embed",
"active": true,
"createdAt": "2025-01-15T10:00:00.000Z",
"updatedAt": "2025-01-15T10:00:00.000Z"
}
],
"totalElements": 1,
"totalPages": 1,
"number": 0,
"size": 10,
"first": true,
"last": true
}
OAuth Clients
List Clients
List all OAuth clients.
GET
/
v1
/
clients
curl -X GET "https://api.whatabot.app/api/v1/clients?page=0&size=10" \
-H "X-Api-Key: wh_your_api_key"
{
"content": [
{
"id": "client-uuid",
"clientId": "wb_client_abc123",
"name": "My SaaS Embed",
"active": true,
"createdAt": "2025-01-15T10:00:00.000Z",
"updatedAt": "2025-01-15T10:00:00.000Z"
}
],
"totalElements": 1,
"totalPages": 1,
"number": 0,
"size": 10,
"first": true,
"last": true
}
List all OAuth clients with pagination.
string
required
Your API key (prefixed with
wh_).integer
default:"0"
Page number (zero-based).
integer
default:"10"
Number of items per page (1-100).
curl -X GET "https://api.whatabot.app/api/v1/clients?page=0&size=10" \
-H "X-Api-Key: wh_your_api_key"
{
"content": [
{
"id": "client-uuid",
"clientId": "wb_client_abc123",
"name": "My SaaS Embed",
"active": true,
"createdAt": "2025-01-15T10:00:00.000Z",
"updatedAt": "2025-01-15T10:00:00.000Z"
}
],
"totalElements": 1,
"totalPages": 1,
"number": 0,
"size": 10,
"first": true,
"last": true
}